#-----------------------------------------------------------------------------	
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	efivar
Version		:	38
Release		:	16.2.0.rel%{?dist}
Summary		:	Tools to manage UEFI variables
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/rhboot/efivar

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-i686-1.patch
#-----------------------------------------------------------------------------
BuildRequires	:	mandoc
#-----------------------------------------------------------------------------
%description
'%{name}' provides a simple command line interface to the
UEFI variable facility.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/%{name}/efi*.h
%{_bindir}/%{name}
%{_bindir}/efisecdb
%{_libdir}/libefi*.so*
%{_libdir}/pkgconfig/efi*.pc
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/efisecdb.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#fix an issue in Makefile causing the package
#to be rebuilt during installation:
sed -i							\
  -e '/prep :/a\\ttouch prep'				\
  src/Makefile

#If building this package on a 32-bit system, apply a patch
[ $(getconf LONG_BIT) = 64 ] || patch -Np1 -i %{PATCH0}

#to get ride of gcc 13.1 error detection
sed -i                                                 \
  -e "/^WARNINGS_GCC /s/?=$/?= -Wno-enum-int-mismatch/"\
  src/include/defaults.mk

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	LIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	LIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	install

#-----------------------------------------------------------------------------
%changelog
